/**
 * @copyright (C) 2017 Melexis N.V.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
#ifndef _mlx90640_I2C_Driver_H_
#define _mlx90640_I2C_Driver_H_

#include <stdint.h>
#include "mlx90640_API.h"

    extern void mlx90640_I2CInit(void);
    extern int mlx90640_I2CGeneralReset(void);
    extern int mlx90640_I2CWrite(uint8_t slaveAddr,uint16_t writeAddress, uint16_t data);
    extern int mlx90640_I2CRead(uint8_t slaveAddr,uint16_t startAddress, uint16_t nMemAddressRead, uint16_t *data);
    extern void mlx90640_I2CFreqSet(int freq);
    extern void mlx90640_I2CSetStub(const bool& stubmode);
#endif
